%define major 1
%define apiversion 0.10
%define libname	%mklibname %{name}-%{apiversion}_ %{major}
%define develname %mklibname %{name} -d


Summary:	An extension library to Xfce desktop environment
Summary(de):	Eine Erweiterungsbibliothek für die Xfce Desktop-Umgebung
Name:		exo
Version:	0.10.7
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
URL:		http://www.xfce.org
Source:		http://archive.xfce.org/src/xfce/exo/%{version}/src/%{name}-%{version}.tar.xz
Source1:	web-browser.png
BuildRequires:	gtk2-devel
BuildRequires:	gtk-doc
BuildRequires:	perl(URI::Escape)
BuildRequires:	%{_lib}notify-devel
BuildRequires:	intltool
BuildRequires:	libxfce4util-devel
BuildRequires:	libxfce4ui-devel
BuildRequires:	gettext-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
Obsoletes:  	%name < %version
Requires:	%{libname}

%description
This is libexo, an extension library to Xfce, developed by os-cillation.
While Xfce comes with quite a few libraries that are targeted at
desktop development, libexo is targeted at application development.

#german
%description -l de
Dies ist libexo, eine Erweiterungsbibliothek zu Xfce, entwickelt von 
OS-cillation. Während Xfce mit sehr wenigen Bibliotheken für die 
Arbeitsflächenentwicklung daherkommt, richtet sich libexo an die
Anwendungsprogrammierer.

#french
%description -l fr
Ceci est libexo, une bibliothèque d'extension à Xfce, développé par os-cillation. 
Alors que Xfce est livré avec quelques bibliothèques qui sont ciblés à 
développement de bureau, libexo vise le développement d'applications.

#spanish
%description -l es
Esta es la libexo, una biblioteca de extensión a XFCE, desarrollado por el OS-cillation. 
Mientras Xfce viene con bastantes pocas bibliotecas que están dirigidos a 
el desarrollo de escritorio, libexo está dirigido a desarrollo de aplicaciones.

#polish# (tpg) needed for patch 4
%description -l pl
This is libexo, an extension library to Xfce, developed by os-cillation.
While Xfce comes with quite a few libraries that are targeted at
desktop development, libexo is targeted at application development.

#serbian
%description -l sr
Ово је либексо, продужење библиотеку да Ксфце, развијен од стране ОС-циллатион. 
Иако долази са Ксфце доста библиотека које су усмерене на 
Десктоп развој либексо је усмерен на развој апликација.

#dutch
%description -l nl
Dit is libexo, een uitbreiding bibliotheek Xfce, ontwikkeld door os-cillation. 
Terwijl Xfce komt met een flink aantal bibliotheken die zijn gericht op 
bureaublad ontwikkeling is libexo gericht op applicatie-ontwikkeling.

%package -n %{libname}
Summary:	An extension library to Xfce
Summary(de):	Eine Erweiterungsbibliothek für Xfce
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Provides:	libexo-%{apiversion}_%{major} = %{version}-%{release}

%description -n %{libname}
Main library for the libexo.

%description -n %{libname} -l de
Hauptbibliothek für libexo

%package -n %{develname}
Summary:	Headers, static libraries and documentation for libexo
Summary(de):	Header, statische Bibliotheken und Dokumentation für libexo
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname %{name}-%{apiversion}_ 0 -d

%description -n %{develname}
Headers, static libraries and documentation for libexo.

%description -n %{develname} -l de
Header, statische Bibliothek und Dokumentation für libexo.

%package doc
Summary: 	Documentation for openbox
Summary(de):	Dokumentation für %{name}
Group: 		Documentation
Requires: 	%{name}

%description doc
Documentation for %{name}

%description doc -l de
Dokumentation für %{name}

%prep
%setup -q

./autogen.sh --prefix=/usr --libdir=%{_libdir} --sysconfdir=%{_sysconfdir}/X11 \
	--disable-static \
	--enable-gtk-doc

%build
%make

%install
rm -rf %{buildroot}
%makeinstall_std

#not needed
rm -f %{buildroot}/%{_libdir}/lib*.*a
rm -f %{buildroot}/%{_libdir}/gio/modules/l*.la

install -m 0644 %SOURCE1 %{buildroot}/%{_datadir}/pixmaps/web-browser.png

%find_lang lib%{name}-%{apiversion}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%{_sysconfdir}/X11/xdg/xfce4/helpers.rc
%{_bindir}/exo*
%{_datadir}/pixmaps/exo-1/exo-thumbnail-frame.png

%{_datadir}/xfce4/helpers/*.desktop
%{_iconsdir}/hicolor/*/apps/*.png
%{_iconsdir}/hicolor/*/categories/*.png
%{_mandir}/man1/exo*
%{_datadir}/locale
%{_datadir}/gtk-doc
%{_datadir}/applications/exo-file-manager.desktop
%{_datadir}/applications/exo-mail-reader.desktop
%{_datadir}/applications/exo-terminal-emulator.desktop
%{_datadir}/applications/exo-web-browser.desktop
%{_datadir}/applications/exo-preferred-applications.desktop
%{_datadir}/pixmaps/web-browser.png

%files -n %{libname} -f lib%{name}-%{apiversion}.lang
%defattr(-,root,root)
%{_libdir}/libexo-1.so.*
%{_libdir}/xfce4/exo-1/exo-compose-mail-1
%{_libdir}/xfce4/exo-1/exo-helper-1

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/pkgconfig/exo-1.pc
%{_libdir}/lib*.so
%{_includedir}/*

%files doc
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB HACKING NEWS README THANKS


%changelog
* Sun Aug 14 2016 adrianomorselli <adrianomorselli> 0.10.7-1uplos2015
- rebuild

* Tue Dec 29 2015 ghostbunny <ghostbunny at gmx dot de> 0.10.7-1pclos2015
- 0.10.7

* Sat May 30 2015 ghostbunny <ghostbunny at gmx dot de> 0.10.6-1pclos2015
- 0.10.6
- add missing BR gettext-devel

* Tue Mar 17 2015 ghostbunny <ghostbunny at gmx dot de> 0.10.4-1pclos2015
- 0.10.4
- drop BR hal-devel

* Sun Mar 01 2015 ghostbunny <ghostbunny at gmx dot de> 0.10.3-1pclos2015
- 0.10.3
- remove python bindings they are not provided by the package

* Mon Dec 02 2013 billybot <billybot> 0.10.2-3pclos2013
- rebuild against updated libs

* Sun Jan 13 2013 ghostbunny <ghostbunny at gmx dot de> 0.10.2-2pclos2013
- build for 32bit
- renamed spec back to 06-pclos....

* Sat Dec 29 2012 MBantz <martin dot bantz at gmail dot com> 0.10.2-1
- Update to 0.10.2

* Thu Nov 01 2012 Neal <nealbrks0 at gmail dot com> 0.9.0-2pclos2012
- process

* Wed Oct 31 2012 ghostbunny <ghostbunny at gmx dot de> 0.9.0-2pclos2012
- fixed api version
- added Provides to lib package

* Tue Oct 16 2012 Neal <nealbrks0 at gmail dot com> 0.9.0-1pclos2012
- process

* Mon Oct 15 2012 ghostbunny <ghostbunny at gmx dot de> 0.9.0-1pclos2012
- 0.9.0

* Thu Sep 20 2012 Neal <nealbrks0 at gmail dot com> 0.8.0-1pclos2012
- process for 64bit

* Fri Aug 31 2012 Neal <nealbrks0 at gmail dot com> 0.8.0-1pclos2012
- process

* Tue Aug 29 2012 ghostbunny <ghostbunny at gmx dot de> 0.8.0-1pclos2012
- 0.8.0
- added/fixed german summaries and descriptions
- fixed English summary of the doc package ("Documentation for openbox"??? -> "Documentation for %{name}")
- fixed doc package
- added BuildRequires:	%{_lib}xfce4ui-devel

* Mon Jan 16 2012 Neal <nealbrks0 at gmail.com> 0.7.0-1pclos2012
- added build requirement libxfce4util

* Sun Jan 01 2012 Sproggy <desproggster at gmail.com> 0.7.0-1pclos2012
- update

* Wed Jan 26 2011 Sproggy <desproggster at gmail.com> 0.6.0-1pclos2011
- update for xfce4.8

* Sun Sep 05 2010 Texstar <texstar at gmail.com> 0.3.107-2pclos2010
- rebuild

* Sun May 23 2010 Texstar <texstar at gmail.com> 0.3.107-1pclos2010
- 0.3.107

* Fri Dec 25 2009 Texstar <texstar at gmail.com> 0.3.101-3pclos2010
- rebuild

* Tue Oct 06 2009 Neal <nealbrks0@gmail.com> 0.3.101-2pclos2010
- gcc update

* Tue Apr 21 2009 johnnyblack <johnnyblack@inbox.com> 0.3.101-1pclos2009
- 0.3.101

